using System;

namespace Intrepid.Integration.Persistence.DTOs
{
    [Serializable]
    public class GameDataDTO
    {
        public string Seed;
        public SentinelDataDTO SentinelData;

        public static GameDataDTO WithInitialValues()
        {
            return new GameDataDTO
            {
                Seed = Guid.NewGuid().ToString("N"),
                SentinelData = SentinelDataDTO.WithInitialValues(),
            };
        }
    }
}